---
title: Document.queryCommandSupported()
slug: Web/API/Document/queryCommandSupported
tags:
  - API
  - DOM
  - Document
  - Method
  - Reference
  - editor
---
<div>{{ApiRef("DOM")}}{{obsolete_header}}</div>

<p>The <strong><code>Document.queryCommandSupported()</code></strong> method reports whether or not the specified editor command is supported by the browser.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>isSupported</var> = document.queryCommandSupported(<var>command</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>command</var></code></dt>
 <dd>The command for which to determine support.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Returns a {{jsxref("Boolean")}} which is <code>true</code> if the command is supported and <code>false</code> if the command isn't.</p>

<h2 id="Notes">Notes</h2>

<p>The <code>'paste'</code> command return <code>false</code> not only if the feature is unavailable, but also if the script calling it has insufficient privileges to perform the action.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush:js notranslate">var flg = document.queryCommandSupported("SelectAll");

if(flg) {
  // ...Do something
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://w3c.github.io/editing/execCommand.html#querycommandsupported()">execCommand</a></td>
   <td></td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Document.queryCommandSupported")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Document.execCommand()")}}</li>
 <li>{{domxref("Document.queryCommandEnabled()")}}</li>
</ul>
